diff --git a/templates/pages/download/linux/debian.html b/templates/pages/download/linux/debian.html
index 96b75cf..cc064cb 100644
--- a/templates/pages/download/linux/debian.html
+++ b/templates/pages/download/linux/debian.html
@@ -41,6 +41,15 @@ version number as required):
  <li>pgadmin3 - pgAdmin III graphical administration utility</li>
 </ul>
 
+<script>
+ <!--
+ function updateSeries(select) {
+  var deb = document.getElementById('series-deb');
+  deb.innerHTML = select.value;
+ }
+ -->
+</script>
+
 <h2>PostgreSQL Apt Repository</h2>
 <p>
 If the version included in your version of Debian is not the one you want,
@@ -52,24 +61,22 @@ updates for all supported versions of PostgreSQL throughout the support
 <p>
 To use the apt repository, follow these steps:
 <ul>
- <li>Import the repository signing key
-   <code>wget -O - http://apt.postgresql.org/pub/repos/apt/ACCC4CF8.asc | sudo apt-key add -</code>
- </li>
- <li>Edit the file <i>/etc/apt/sources.list.d/pgdg.list</i>, and add a line
-   for the repository, substituting the proper "codename" for your release
-   <code>deb http://apt.postgresql.org/pub/repos/apt/ squeeze-pgdg main</code>
- </li>
- <li>Configure apt's package pinning to prefer the PGDG packages over the standard ones in <i>/etc/apt/preferences.d/pgdg.pref</i>
-   <code>
-Package: *<br/>
-Pin: release o=apt.postgresql.org<br/>
-Pin-Priority: 500
-   </code>
+ <li>Create the file <i>/etc/apt/sources.list.d/pgdg.list</i>, and add a line
+ for the repository
+ <form style="display: inline">
+  <select id="field.series" name="field.series" onChange='updateSeries(this);'>
+   <option selected="selected" value="YOUR_DEBIAN_VERSION_HERE">Choose your Debian version</option>
+   <option value="wheezy">Wheezy (7.0)</option>
+   <option value="squeeze">Squeeze (6.0)</option>
+  </select>
+ </form>
+ <code>deb http://apt.postgresql.org/pub/repos/apt/ <span id="series-deb">YOUR_DEBIAN_VERSION_HERE</span>-pgdg main</code>
  </li>
- <li>Update the package lists, and install the pgdg-keyring package to automatically get repository key updates
+ <li>Import the repository signing key, and update the package lists
    <code>
-sudo apt-get update<br/>
-sudo apt-get install pgdg-keyring
+wget --quiet -O - http://apt.postgresql.org/pub/repos/apt/ACCC4CF8.asc | \<br/>
+&nbsp;&nbsp;sudo apt-key add -<br/>
+sudo apt-get update
    </code>
  </li>
 </ul>
diff --git a/templates/pages/download/linux/ubuntu.html b/templates/pages/download/linux/ubuntu.html
index 664af81..a506d37 100644
--- a/templates/pages/download/linux/ubuntu.html
+++ b/templates/pages/download/linux/ubuntu.html
@@ -43,40 +43,42 @@ version number as required):
  <li>pgadmin3 - pgAdmin III graphical administration utility</li>
 </ul>
 
+<script>
+ <!--
+ function updateSeries(select) {
+  var deb = document.getElementById('series-deb');
+  deb.innerHTML = select.value;
+ }
+ -->
+</script>
+
 <h2>PostgreSQL Apt Repository</h2>
 <p>
-If the version included in your version of Debian is not the one you want,
+If the version included in your version of Ubuntu is not the one you want,
 you can use the PostgreSQL Apt Repository. This repository will integrate
 with your normal systems and patch management, and provide automatic
 updates for all supported versions of PostgreSQL throughout the support
 <a href="/support/versioning/">lifetime</a> of PostgreSQL.
 </p>
 <p>
-Not all Ubuntu releases are currently supported in the apt repository. For
-an up to date list of supported releases, please see the apt page on
-<a href="http://wiki.postgresql.org/wiki/Apt">the wiki</a>.
-</p>
-<p>
 To use the apt repository, follow these steps:
 <ul>
- <li>Import the repository signing key
-   <code>wget -O - http://apt.postgresql.org/pub/repos/apt/ACCC4CF8.asc | sudo apt-key add -</code>
- </li>
- <li>Edit the file <i>/etc/apt/sources.list.d/pgdg.list</i>, and add a line
-   for the repository, substituting the proper "codename" for your release
-   <code>deb http://apt.postgresql.org/pub/repos/apt/ precise-pgdg main</code>
- </li>
- <li>Configure apt's package pinning to prefer the PGDG packages over the standard ones in <i>/etc/apt/preferences.d/pgdg.pref</i>
-   <code>
-Package: *<br/>
-Pin: release o=apt.postgresql.org<br/>
-Pin-Priority: 500
-   </code>
+ <li>Create the file <i>/etc/apt/sources.list.d/pgdg.list</i>, and add a line
+ for the repository
+ <form style="display: inline">
+  <select id="field.series" name="field.series" onChange='updateSeries(this);'>
+   <option selected="selected" value="YOUR_UBUNTU_VERSION_HERE">Choose your Ubuntu version</option>
+   <option value="precise">Precise (12.04)</option>
+   <option value="lucid">Lucid (10.04)</option>
+  </select>
+ </form>
+ <code>deb http://apt.postgresql.org/pub/repos/apt/ <span id="series-deb">YOUR_UBUNTU_VERSION_HERE</span>-pgdg main</code>
  </li>
- <li>Update the package lists, and install the pgdg-keyring package to automatically get repository key updates
+ <li>Import the repository signing key, and update the package lists
    <code>
-sudo apt-get update<br/>
-sudo apt-get install pgdg-keyring
+wget --quiet -O - http://apt.postgresql.org/pub/repos/apt/ACCC4CF8.asc | \<br/>
+&nbsp;&nbsp;sudo apt-key add -<br/>
+sudo apt-get update
    </code>
  </li>
 </ul>
